CA Compliance Event Manager

Tuesday Tip: z/OS 2.1 Java Upgrade and Compliance Manager

  • 1.  Tuesday Tip: z/OS 2.1 Java Upgrade and Compliance Manager

    Posted 04-21-2015 09:07 AM

    The z/OS 2.1 upgrade includes the most recent Java version, what changes are required to the TOMCAT Server(that is used for CA Compliance Manager) for a JAVA upgrade?

     

    When the JAVA version is upgraded on a lpar the following changes need to be made

    to the Apache TOMCAT server.

     

    1. Edit the TOMCAT procedure in the CA Compliance Manager CEIQJCL1 library and make the following changes:

      - Change the TOMCAT procedure LIBRARY variable to point to your PDS JAVA.SIEALNKE library.
        ie. LIBRARY='MVSDE28.JAVA.SIEALNKE',
      - Change TOMCAT procedure VERSION variable for JAVA version,
        ie.  VERSION='76'
    2. Edit the TOMENV member in the CA Compliance Manager CEIQJCL1 library and make the following change:

      - Change the TOMENV member JAVA_HOME environment variable to the base path of the JDK.
        ie. export JAVA_HOME=/u/users/java64bt/v7r0m0/usr/lpp/java/J7.0_64

     

    After making the changes the TOMCAT server should be re-started.


    Details on the TOMCAT procedure and the TOMENV member can be found in the CA Compliance Manager for z/OS Installation Guide in Chapter 6: Starting
    Your Product.